.device-ios {

    .root {
        border-top: rem(60) solid #6E89D3;
    }

    @include media-breakpoint-up(xl) {

        .root {
            border-top:none;
        }
    }
}

.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding: rem(24) 0 rem(48);

    @include media-breakpoint-up(xl) {
        padding-top: 0;
        padding-bottom: rem(64);
    }
}

.primary {
    text-align: center;
    padding-top: rem(56);
    padding-bottom: rem(60);

    &__header {
        font-weight: 700;
        line-height: 120%;
        font-size: rem(21);
        margin-bottom: rem(16);
    }

    &__word {
        font-weight: 800;
        position: relative;
        display: inline-block;

        &:before {
            left: rem(-2);
            right: rem(-2);
            top: rem(12);
            z-index: 1;
            content: '';
            height: rem(12);
            border-radius: 30px;
            position: absolute;
            background: $yellow;
            transform: rotate(-1.25deg);
        }

        span {
            z-index: 10;
            display: block;
            position: relative;
        }
    }

    &__text {

    }

    &__subtitle {
        line-height: 120%;
        font-size: rem(12);
        margin-bottom: rem(16);
    }

    &__button {
        margin-bottom: rem(40);
    }

    &__media {
        margin: 0 auto;
        max-width: rem(400);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(20);
        padding-bottom: rem(76);

        &__header {
            font-size: rem(32);
            margin-bottom: rem(30);
        }

        &__word {

            &:before {
                top: rem(18);
                height: rem(20);
            }
        }

        &__subtitle {
            font-size: rem(16);
            margin-bottom: rem(24);
        }

        &__media {
            width: rem(521);
            max-width: inherit;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 0;

        &__header {
            font-size: rem(48);
        }

        &__word {

            &:before {
                top: rem(26);
                height: rem(25);
            }
        }
    }
}

.services {
    padding-top: rem(60);
    padding-bottom: rem(30);

    &__header {
        text-align: center;
        margin-bottom: rem(28);

        strong {
            display: inline-block;
            position: relative;
        }

        span {
            z-index: 10;
            position: relative;
        }

        .pattern-line {

            &:before {
                left: rem(-2);
                right: rem(-2);
                top: rem(12);
                z-index: 1;
                content: '';
                height: rem(12);
                border-radius: 30px;
                position: absolute;
                background: $yellow;
                transform: rotate(-1.25deg);
            }
        }
    }

    &__button {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        text-align: center;
        position: absolute;
    }

    &__main {
        position: relative;
        padding-bottom: rem(10);

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 10;
            display: block;
            height: rem(168);
            position: absolute;
            background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 0%, rgba(255, 255, 255, 0.50) 24.48%, #FFF 100%);
        }

        .item {
            display: none;

            &:nth-child(-n+3) {
                display: flex;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(80);
        padding-bottom: rem(80);

        &__header {
            margin-bottom: rem(32);

            .pattern-line {

                &:before {
                    top: rem(18);
                    height: rem(20);
                }
            }
        }

        &__main {
            padding-bottom: 0;

            &:before {
                background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 0%, rgba(255, 255, 255, 0.90) 24.48%, #FFF 100%);
            }

            .item {

                &:nth-child(-n+6) {
                    display: flex;
                }
            }
        }

        &__button {
            bottom: rem(32);
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            margin-bottom: rem(32);

            .pattern-line {

                &:before {
                    top: rem(26);
                    height: rem(25);
                }
            }
        }

        &__main {

            .item {
                display: flex;
            }
        }
    }
}

.item {
    background: $white;
    display: flex;
    flex-direction: column;

    &--border {
        padding: rem(24);
        border-radius: 16px;
        border: 1px solid #E3E4E4;
    }

    &__main {
        display: flex;
        flex-grow: 1;
        align-items: flex-start;
        margin-bottom: rem(32);
    }

    &__logo {
        width: 55px;
        height: 55px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin-right: rem(16);
        flex-shrink: 0;
    }

    &__title {
        color: $dark;
        display: block;
        font-weight: 800;
        font-size: rem(17);
        text-decoration: none;

        a {
            color: $dark;
            text-decoration: none;

            &:hover {
                color: $dark;
                text-decoration: none;
            }
        }

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    &__text {
        font-weight: 500;
        line-height: 120%;
        font-size: rem(12);
        margin-top: rem(12);
    }

    &__buttons {
        display: flex;
        align-items: center;
    }

    &__button {

        &:not(:last-child) {
            margin-right: rem(6);
        }
    }

    @include media-breakpoint-up(xl) {

        &--border {
            padding: rem(32);
        }

        &__main {
            margin-bottom: rem(46);
        }

        &__title {
            font-size: rem(20);
        }

        &__text {
            font-size: rem(16);
        }
    }
}

.items-grid {
    display: grid;
    grid-row-gap: rem(40);
    grid-column-gap: rem(40);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(56);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-column-gap: rem(79);
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.services-grid {
    display: grid;
    grid-row-gap: rem(24);
    grid-column-gap: rem(24);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-row-gap: rem(32);
        grid-column-gap: rem(32);
    }
}

.target {
    margin: 0 auto;
    width: 100%;
    max-width: rem(1080);
    text-align: center;
    position: relative;
    padding: rem(186) rem(15) rem(312) rem(15);

    &__image {
        width: 220px;
        margin: 0 auto rem(40) auto;
        position: relative;
        left: -34px;
    }

    &__main {

    }

    &__content {
        white-space: nowrap;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__text {
        position: relative;

        &:before {
            left: rem(-2);
            right: rem(-2);
            top: rem(12);
            z-index: 1;
            content: '';
            height: rem(12);
            border-radius: 30px;
            position: absolute;
            background: $yellow;
            transform: rotate(-1.25deg);
        }

        span {
            z-index: 5;
            display: block;
            position: relative;
        }
    }

    &__services {
        font-size: 0;
        line-height: 0;
        margin-left: rem(4);
        display: flex;
        align-items: center;
    }

    &__service {
        width: 25px;
        height: 25px;
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: 50%;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            position: absolute;
            border-radius: 50%;
            border: 2px solid $white;
        }

        &:not(:first-child) {
            margin-left: -10px;
        }
    }

    &__arrow {
        width: 110px;
        display: block;
        position: absolute;

        &--01 {
            top: 8px;
            right: 20px;
            transform: rotate(130deg);
        }

        &--02 {
            left: 0;
            bottom: 64px;
            transform: rotate(-60deg);
        }

        &--03 {
            right: 0;
            bottom: 192px;
            transform: rotate(-120deg);
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(244);
        padding-bottom: rem(244);

        &__image {
            width: 272px;
            margin-bottom: rem(56);
        }

        &__text {

            &:before {
                top: rem(18);
                height: rem(20);
            }
        }

        &__services {
            margin-left: rem(10);
        }

        &__service {
            width: 45px;
            height: 45px;

            &:before {
                border-width: 3px;
            }

            &:not(:first-child) {
                margin-left: -16px;
            }
        }

        &__arrow {
            width: 175px;

            &--01 {
                top: 46px;
                right: 20px;
                transform: rotate(160deg);
            }

            &--02 {
                left: 0;
                bottom: 140px;
                transform: rotate(-20deg);
            }

            &--03 {
                right: 0;
                bottom: 330px;
                transform: rotate(-150deg);
            }
        }
    }

    @include media-breakpoint-up(xl) {


        &__text {

            &:before {
                top: rem(26);
                height: rem(25);
            }
        }
    }
}

.access {
    background: #6E89D3;
    padding-top: rem(32);
    padding-bottom: rem(44);

    &__content {
        color: $white;
        text-align: center;
    }

    &__header {
        margin-bottom: rem(16);
    }

    &__text {
        line-height: 120%;
        font-size: rem(12);
        margin-bottom: rem(22);
    }

    &__media {
        display: none;
    }

    &__switcher {
        margin-bottom: rem(24);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__nav {
        border: none;
        outline: none;
        color: $white;
        cursor: pointer;
        font-weight: 700;
        line-height: 120%;
        font-size: rem(12);
        padding: rem(10) 0;
        white-space: nowrap;
        display: inline-block;
        text-decoration: none;
        background: transparent;
        border-bottom: 1px solid transparent;

        &:hover {
            color: $white;
            text-decoration: none;
        }

        &.active {
            color: $white;
            border-bottom-color: $white;
        }

        &:not(:last-child) {
            margin-right: rem(32);
        }
    }

    &__form {
        padding: rem(16);
        background: $white;
        border-radius: 16px;
        border: 1px solid #E3E4E4;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(56);
        padding-bottom: rem(56);

        &__header {
            margin-bottom: rem(24);
        }

        &__text {
            line-height: 120%;
            font-size: rem(16);
            margin-bottom: rem(36);
        }

        &__switcher {
            margin-bottom: rem(32);
        }

        &__nav {
            font-size: rem(16);
        }

        &__main {
            margin: 0 auto;
            width: rem(578px);
        }

        &__form {
            padding: rem(32);
            border-radius: 24px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            display: flex;
            justify-content: space-between;
        }

        &__main {
            margin: 0;
            flex-shrink: 0;
        }

        &__content {
            text-align: left;
            padding-top: rem(72);
        }

        &__text {
            max-width: rem(440);
            margin-bottom: rem(56);
        }

        &__media {
            display: block;
            width: rem(363);
        }
    }
}

.page-header {
    margin-bottom: rem(40);
    display: flex;
    align-items: center;

    &__backward {
        fill: $black;
        font-size: 0;
        line-height: 0;
        width: rem(32);
        height: rem(32);
        margin-right: rem(8);
        transition: .25s;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: rem(18);
            display: inline-block;
        }

        &:hover {
            fill: $blue;
            transition: .25s;
        }
    }
    @include media-breakpoint-up(md) {


        &__backward {
            margin-right: rem(24);

            i {
                height: rem(24);
            }
        }
    }
}

.about {
    padding-bottom: rem(56);

    &__header {
        text-align: center;
        margin-bottom: rem(40);
    }

    &__tasks {
        display: grid;
        margin-bottom: rem(40);
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
        grid-template-columns: 1fr;
    }

    &__task {
        color: $dark;
        font-size: rem(12);
        text-align: center;

        &__text {
            margin-bottom: rem(8);
        }

        &__icon {
            font-size: 0;
            line-height: 0;
            width: rem(45);
            height: rem(45);
            margin: 0 auto;
            border-radius: 50%;
            background: #F6F8FA;
            display: flex;
            align-items: center;
            justify-content: center;

            i {
                flex-shrink: 0;
                height: rem(25);
                display: inline-block;
            }
        }
    }

    &__advantages {
        display: grid;
        grid-row-gap: rem(24);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(56);
        padding-bottom: rem(92);

        &__tasks {
            margin-bottom: rem(56);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__task {
            font-size: rem(14);
        }

        &__advantages {
            grid-row-gap: rem(56);
        }
    }

    @include media-breakpoint-up(xl) {

        &__tasks {
            margin-bottom: rem(82);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__task {
            width: rem(340);
            font-size: rem(16);
            display: flex;
            flex-shrink: 0;
            align-items: center;
            flex-direction: row-reverse;

            &__icon {
                width: rem(65);
                height: rem(65);
                margin: 0 rem(30) 0 0;
                flex-shrink: 0;

                i {
                    height: rem(36);
                }
            }

            &__text {
                margin: 0;
                flex-grow: 1;
            }
        }
    }
}

.advantage {
    padding: rem(24);
    line-height: 120%;
    font-size: rem(12);
    text-align: center;
    background: $white;
    border-radius: 16px;
    border: 1px solid #E3E4E4;

    &__title {
        margin-bottom: rem(12);
    }

    &__image {
        margin: 0 auto rem(18) auto;

        &--01 {
            width: 168px;
        }

        &--02 {
            width: 115px;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(36);
        font-size: rem(16);
        line-height: 140%;

        &__title {
            margin-bottom: rem(36);
        }

        &__image {
            margin-bottom: rem(24);

            &--01 {
                width: 280px;
            }

            &--02 {
                width: 360px;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        text-align: left;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--row {
            flex-direction: row;
        }

        &--reverse {
            flex-direction: row-reverse;
        }

        &__image {
            margin: 0;
            flex-shrink: 0;
        }

        &__content {
            width: rem(500);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(47) rem(64);
        min-height: rem(415);

        &--row {
            padding-left: rem(140);
        }

        &--reverse {
        }

        &__image {

            &--01 {
                width: 370px;
            }

            &--02 {
                width: 537px;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &--row {
            padding-left: rem(178);
            padding-right: rem(185);
        }

        &--reverse {
            padding-left: rem(95);
            padding-right: rem(94);
        }
    }
}

.system {
    color: $white;
    background: $black;
    padding-top: rem(56);

    &__header {
        text-align: center;
        margin-bottom: rem(24);
    }

    &__content {
        font-weight: 700;
        line-height: 120%;
        font-size: rem(12);
        margin-bottom: rem(40);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(52);

        &__header {
            margin-bottom: rem(40);
        }

        &__content {
            font-size: rem(16);
            max-width: rem(600);
            margin: 0 auto rem(40) auto;
        }
    }
}

.success {
    width: 95%;
    max-width: rem(400);
    position: relative;
    background: $white;
    border-radius: 16px;
    padding: rem(32) rem(24);
    border: 1px solid rgba(243, 242, 243, 0.15);

    &__close {
        top: rem(32);
        right: rem(32);
        border: none;
        outline: none;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(32);
        height: rem(32);
        stroke: $black;
        cursor: pointer;
        position: absolute;
        background: transparent;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        width: rem(42);
        height: rem(42);
        margin-bottom: rem(16);
    }

    &__title {
        font-weight: 800;
        line-height: 120%;
        font-size: rem(17);
        margin-bottom: rem(12);
    }

    &__text {
        font-size: rem(12);
        font-weight: 500;
    }

    @include media-breakpoint-up(md) {
        max-width: inherit;
        width: rem(512);
        padding: rem(32) rem(40) rem(40) rem(40);

        &__close {
            top: rem(40);
            right: rem(40);
        }

        &__title {
            line-height: 120%;
            font-size: rem(26);
            margin-bottom: rem(16);
        }

        &__text {
            font-size: rem(16);
        }
    }
}

[data-tooltip] {
    position: relative;

    &:hover {
        z-index: 200;

        &:before {
            opacity: 1;
            visibility: visible;
        }
    }

    &:before {
        z-index: 10;
        padding: rem(16);
        line-height: 150%;
        font-size: rem(12);
        background: $white;
        border-radius: 8px;
        border: 1px solid #F3F2F3;
        content: attr(data-tooltip);
        left: calc(50% - 100px);
        top: calc(100% + 8px);
        width: rem(200);
        position: absolute;
        opacity: 0;
        visibility: hidden;
    }

    @include media-breakpoint-up(md) {

        &:before {
            left: calc(50% - 180px);
            width: rem(360);
            font-size: rem(14);
        }
    }

    @include media-breakpoint-up(xl) {

        &:before {
            padding: rem(24);
            font-size: rem(16);
            left: calc(50% - 205px);
            width: rem(410);
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
